Skip to main content
POST
/
repos
/
{repo_id}
/
workspaces
Create a workspace
curl --request POST \
  --url https://api.diversion.dev/v0/repos/{repo_id}/workspaces \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "branch_id": "<string>",
  "name": "<string>",
  "commit_id": "example_id"
}
'
{
  "id": "example_id"
}

Documentation Index

Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This API uses OAuth 2 with the implicit grant flow

Path Parameters

repo_id
string
required

The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.

Required string length: 3 - 128
Example:

"example_id"

Body

application/json
branch_id
string
name
string
commit_id
string
Required string length: 3 - 128
Example:

"example_id"

Response

Resource created

id
string
required

The id of the newly created resource

Example:

"example_id"